Subject: bug#10960: linum-mode does not work properly when changing font size

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Mar 2012 13:28:52 -0500

>> OK, let me ask specific questions then:
> In the thread of bug#1255 Stefan already answered what amounts to YES, NO.

Indeed.

> The problem with that answer is that it is maximally unhelpful.  Every
> package that wants to use the margin will have to be defensively coded
> against text-scale-*.

You mean, that text-scale-* makes the problem more common significant?
Maybe so, yes.  But I don't think that just special-handling
text-scale-* would be a good solution.  We need some more general way to
adjust the size of the margin to the size of the images&text displayed
there, so as to handle non-default faces, proportional text, ...

        Stefan